X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

what hardware do I need to obtain before I can upgrade firefox?

ali
Posted

Can anyone help? I have a Mac G4 running OS 10.4.11 with firefox & safari. these are the firefox details; Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-GB; rv:1.9.2.23) Gecko/20110920 Firefox/3.6.23

I'm having terrible trouble with both, but get a message when I try to upgrade to newer browsers that my setup does not support the upgrades. The auto software updater says there are no updates available. My G4 Mac is a 400Mhz powerPC with 1.19Gb SDRAM. I would love to know how to upgrade the hardware so it will accept newer software! I have 2 identical G4s but only use one, the other was going to be set up as a slave (?) by a techie mate but I don't want this done if it is not going to improve my internet use.

Chosen solution

You are welcome Ali, with TenFourFox you are updated. !

Read this answer in context 0

Additional System Details

Installed Plug-ins

  • Shockwave Flash 10.1 r53
  • Gecko default plugin
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Java 1.3.1 Plug-in
  • Safe Coupon Printer
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-GB; rv:1.9.2.23) Gecko/20110920 Firefox/3.6.23

More Information

ideato
  • Top 25 Contributor
616 solutions 4262 answers

Hello aliberry, Firefox no longer works with Mac OS X 10.4 or PowerPC processors like yours, and Firefox no longer works with Mac OS X 10.5....., so you need Mac OS X 10.6 and later with an Intel x86 processor 512 MB of RAM and 200 MB hard drive space (at least) .

with you current PPC Mac OS X 10.4 the latest firefox is 3.6.28(it is in the above link) but not supported any more.

if you can't upgrade to 10.6(and later) see: http://www.floodgap.com/software/tenfourfox/

http://code.google.com/p/tenfourfox/wiki/PluginsNoLongerSupported

http://code.google.com/p/tenfourfox/wiki/ReleaseNotes1706


thank you

Question owner

wow that was fast, thank you so much you saved me a heap of research and disappointment. I'll let you know how I get on!

Question owner

IDEATO, I LOVE YOU! I am sooooo happy. I have downloaded, installed & tested TenFourFox on my poor old G4 and am jumping up n down, it works! Months of exasperated hair-tearing and juggling firefox (read emails & see images, but not able to reply) and safari (cant see images or html emails but CAN send replies!!) sorted in just an hour. You are an absolute star. thank you a gazillion times :) Ali

ideato
  • Top 25 Contributor
616 solutions 4262 answers

Chosen Solution

You are welcome Ali, with TenFourFox you are updated. !